---
title: CSSPositionValue.CSSPositionValue()
slug: Web/API/CSSPositionValue/CSSPositionValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSPositionValue
  - Constructor
  - Experimental
  - Houdini
  - Reference
---
<div>{{APIRef("CSS Typed Object Model API")}}{{Obsolete_Header}}</div>

<p><span class="seoSummary">The <strong><code>CSSPositionValue</code></strong> constructor creates a new {{domxref("CSSPositionValue")}} object which represents values for properties that take a position, for example {{cssxref('object-position')}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">cvar <var>cssPositionValue</var> = new CSSPositionValue(x, y)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>x</dt>
 <dd>A position along the web page's horizontal axis.</dd>
 <dt>y</dt>
 <dd>A position along the web page's vertical axix.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following example positions a container <code>&lt;div&gt;</code> 5 pixels from the top and 10 pixels from the left of the page. </p>

<pre class="brush: js">let someDiv = document.getElementById('container');
let position = new CSSPositionValue(CSS.px(5), CSS.px(10));

someDiv.attributeStyleMap.set('object-position', position);
console.log(position.x.value, position.y.value);  // 5 10</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSPositionValue.CSSPositionValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSPositionValue.x")}}</li>
 <li>{{domxref("CSSPositionValue.y")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
